Bug 204787 - Include ppc64 frysk
Include ppc64 frysk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On: 205235
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 11:42 EDT by Stepan Kasal
Modified: 2014-03-16 23:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 13:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2006-08-31 11:42:19 EDT
Would you be so kind to include the frysk-*.ppc64.rpm to the iso?
Comment 1 Jesse Keating 2006-08-31 11:56:22 EDT
Hrm, why are there no ppc builds of frysk?  How are ppc users supposed to use it?
Comment 2 Stepan Kasal 2006-09-02 11:11:46 EDT
Well, frysk currently does not build on ppc.
Can you include the ppc64 version for now?
Comment 3 Jesse Keating 2006-09-02 11:46:20 EDT
I think that will cause problems if Frysk option is exposed to users.  If
selected on ppc arch, they'll get errors about it not being available.  It's too
late for the beta, and probably too late for Test3.  You'll need to fix the
package first.

Also, is it not possible to develop against frysk?  Is there no things that
could be put in a -devel subpackage?  This is what tells the compose process
that this package is for multilib.  I _can_ add it to the extra stuff, but that
gets ugly quick and error prone.
Comment 4 Stepan Kasal 2006-09-02 12:23:06 EDT
(In reply to comment #3)
> Also, is it not possible to develop against frysk? Is there no things that
> could be put in a -devel subpackage?

No, it is not, it's an application and does not offer any libraries.

> I _can_ add it to the extra stuff, [...]

Frysk really needs to be a 64bit application, to be able to trace 64bit processes.

I don't think it is a problem that it is not available for 32bit ppc.
If the install program cannot accomodate for 64-bit only rpm, I think we can fix
it after Test3, and compiling frysk for 32bit ppc is one of the possible options.

But I would be really glad if there were a way to put ppc64 frysk to the Test3 iso.
Comment 5 Jesse Keating 2006-09-13 10:46:19 EDT
Hrm, frysk missed Test3, but should be in the rawhide repos after Test3 goes
out, so users can yum install frysk.ppc64.
Comment 6 wzhou 2006-09-24 23:32:14 EDT
Yes. We don't see frysk shipped in Test3 for ppc64.  Could we make sure that it
gets into FC6 official release?  Thanks.
Comment 7 Jesse Keating 2006-09-25 11:01:34 EDT
I've fixed the conf files.  Check rawhide the next time it is able to go out.

Note You need to log in before you can comment on or make changes to this bug.